


#include <stdio.h>
#include <fcntl.h>
#include <sys/ioctl.h>

#include "linux/ppdev.h"

int rdwr () {
	return O_RDWR;
}

int ppclaim (int fd) {
	ioctl (fd, PPCLAIM);
}

int ppexcl (int fd) {
	ioctl (fd, PPEXCL);
}

void pprdata (int fd, int d) {
	ioctl (fd, PPRDATA, d);
}

void pprstatus (int fd, int d) {
	ioctl (fd, PPRSTATUS, d);
}

void pprcontrol (int fd, int d) {
	ioctl (fd, PPRCONTROL, d);
}

void ppwdata (int fd, int d) {
	ioctl (fd, PPWDATA, d);
}

void ppwcontrol (int fd, int d) {
	ioctl (fd, PPWCONTROL, d);
}


void pprelease (int fd, int a) {
	ioctl (fd, PPRELEASE);
}

void ppdatadir (int fd, int d) {
	ioctl (fd, PPDATADIR, d);
}
